> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/create-tag/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Create a new tag. POST https://app.unleash-instance.example.com/api/admin/tags Content-Type: application/json Create a new tag with the specified data. Reference: https://docs.getunleash.io/api/create-tag ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Body (application/json) This endpoint expects a createTagSchema. - `value` (string, required) — The value of the tag. The value must be between 2 and 50 characters long. Leading and trailing whitespace is ignored and will be trimmed before saving the tag value. - `type` (string, required) — The [type](https://docs.getunleash.io/concepts/feature-flags#tags) of the tag - `color` (string, optional, nullable) — The hexadecimal color code for the tag type. ## Response ### 201 The resource was successfully created. - `version` (integer, required) — The version of the schema used to model the tag. - `tag` (tagSchema, required) — Representation of a [tag](https://docs.getunleash.io/concepts/feature-flags#tags) ## Errors ### 400 Bad Request Error The request data does not match what we expect. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 401 Unauthorized Error Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 403 Forbidden Error The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 409 Conflict Error The provided resource can not be created or updated because it would conflict with the current state of the resource or with an already existing resource, respectively. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 415 Unsupported Media Type Error The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Types ### tagSchema Representation of a [tag](https://docs.getunleash.io/concepts/feature-flags#tags) - `value` (string, required) — The value of the tag. - `type` (string, required) — The [type](https://docs.getunleash.io/concepts/feature-flags#tags) of the tag - `color` (string, optional, nullable) — The hexadecimal color code for the tag type. ## Examples **Request** ```json { "value": "a-tag-value", "type": "simple" } ``` **Response** ```json { "version": 1, "tag": { "value": "a-tag-value", "type": "simple", "color": "#FFFFFF" } } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/tags" payload = { "value": "a-tag-value", "type": "simple" } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/tags'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"value":"a-tag-value","type":"simple"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/tags" payload := strings.NewReader("{\n \"value\": \"a-tag-value\",\n \"type\": \"simple\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/tags") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"value\": \"a-tag-value\",\n \"type\": \"simple\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/admin/tags") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"value\": \"a-tag-value\",\n \"type\": \"simple\"\n}") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/admin/tags', [ 'body' => '{ "value": "a-tag-value", "type": "simple" }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/tags"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"value\": \"a-tag-value\",\n \"type\": \"simple\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [ "value": "a-tag-value", "type": "simple" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/tags")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```